System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException To be added

The base exception class for the .

- Constructor
  1.0.5000.0
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  To be added

  Initializes a new instance of the class with a specified error message.

  The error message that explains the reason for the exception.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see XML and SOAP Serialization.

  Initializes a new instance of the class with serialized data.

  The object that holds the serialized object data.
  The contextual information about the source or destination.
  1.0.5000.0
  2.0.0.0
- Constructor
  1.0.5000.0
  2.0.0.0
  To be added.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  For more information, see .

  Populates a with the data needed to serialize the target object.

  The SerializationInfo to populate with the data needed to serialize the target object. The destination for this serialization.